## cascading.util
Class TraceUtil

    java.lang.Object
      cascading.util.TraceUtil

    public class TraceUtil

extends Object

Constructor Summary
`TraceUtil()`

Method Summary
`static String` `captureDebugTrace(Object target)`
`static String` `formatRawTrace(Pipe pipe, String message)` Method formatRawTrace does not include the pipe name
`static String` `formatTrace(Operation operation, String message)`
`static String` `formatTrace(Pipe pipe, String message)`
`static String` `formatTrace(Scheme scheme, String message)`
`static String` `formatTrace(Tap tap, String message)`
`static void` `registerApiBoundary(String apiBoundary)` Add a regex that serves as a boundary for tracing.
`static void` `setTrace(Object object, String trace)` Allows for custom trace fields on Pipe, Tap, and Scheme types
`static void` `unregisterApiBoundary(String apiBoundary)` Remove a regex as a boundary for tracing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TraceUtil

    public TraceUtil()

Method Detail

### registerApiBoundary

    public static void registerApiBoundary(String apiBoundary)

  Add a regex that serves as a boundary for tracing. That is to say any trace captured by `captureDebugTrace(Object)` will be from a caller that comes higher in the stack than any apiBoundary package or class.

  Parameters:
    `apiBoundary` -

### unregisterApiBoundary

    public static void unregisterApiBoundary(String apiBoundary)

  Remove a regex as a boundary for tracing. See registerApiBoundary.

  Parameters:
    `apiBoundary` -

### setTrace

    public static void setTrace(Object object,
                                String trace)

  Allows for custom trace fields on Pipe, Tap, and Scheme types

  Parameters:
    `object` -
    `trace` -

### formatTrace

    public static String formatTrace(Scheme scheme,
                                     String message)

### formatRawTrace

    public static String formatRawTrace(Pipe pipe,
                                        String message)

  Method formatRawTrace does not include the pipe name

  Parameters:
    `pipe` - of type Pipe
    `message` - of type String
  Returns:
    String

### formatTrace

    public static String formatTrace(Pipe pipe,
                                     String message)

### formatTrace

    public static String formatTrace(Tap tap,
                                     String message)

### formatTrace

    public static String formatTrace(Operation operation,
                                     String message)

### captureDebugTrace

    public static String captureDebugTrace(Object target)

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.